/* ==================== Classes ==================== */

/* Gros boutons de sélection d'un menu */
.btn-principal {

    /* GRADIENT */    
    -fx-background-color: #ffffff;
    -fx-background-radius: 50px;
    -fx-border-radius: 50px;
    -fx-border-width: 4px;
    /*-fx-border-color: rgb(226, 222, 0);*/
    -fx-border-color: rgb(193, 193, 193);
    -fx-effect: innershadow(gaussian, rgb(58, 58, 58), 28, 0.5, 0, 0);
    /*-fx-effect: dropshadow(three-pass-box, rgb(248, 255, 173),60, 0, 0, 0);*/
}

/* Style du text des boutons de sélection */
.btn-principal .text{
    -fx-font-size: 26px;
    -fx-font-weight: bold;
    -fx-fill: rgb(255, 255, 255);
    -fx-stroke: #0000;
    -fx-stroke-width: 1px;
    -fx-effect: dropshadow(three-pass-box, rgb(193, 193, 193), 2, 0.7, 2, 2);
    

}

/* Style du bouton lorsqu'il est survolé */
.btn-principal:hover {
    -fx-background-color: #ffffff;
}

/* Style du bouton lorsqu'il est pressé */
.btn-principal:pressed {
    -fx-background-color: #ffffff;
}


/* Boutons de sélection de niveau */
.btn-niveau {}


/* Boutons d'accès aux scores (trophée) */
.btn-trophee {
    -fx-background-color: transparent;
    -fx-effect: dropshadow(three-pass-box, rgb(0, 0, 0), 4, 0.2, 0, 0);
}


/* Boutons retour */
.btn-retour {
    -fx-background-color: transparent;
}

/* Images boutons retour*/
.img-retour{
    -fx-effect: dropshadow(gaussian, rgb(255, 255, 255),3.1, 1, 0, 0);
}

/* Bouton plein ecran */
.btn-plein-ecran {
    -fx-background-color: transparent;
}
/* Images boutons plein ecran*/
.img-plein-ecran{
    -fx-effect: dropshadow(gaussian, rgb(255, 255, 255),4, 1, 0, 0);
}

/* ScrollPane - Menu règles*/
.scroll-p > .viewport {
    -fx-background-color: transparent;
    -fx-effect: dropshadow(three-pass-box, rgb(58, 58, 58), 3, 0.2, 0, 0);


}

.scroll-p {
    -fx-background-color: linear-gradient(from 13px 200px to 52px 50px, reflect,  #ffffff98, #ffffffdc 100%);
    -fx-background-radius: 0px 20px 20px 60px;
    -fx-border-radius: 0px 10px 10px 50px;
    -fx-border-width: 10px;
    -fx-border-color: linear-gradient(from 13px 38px to 52px 52px, reflect,  #000000ca, #262626ca 100%);

}


.scroll-p .scroll-bar {
    -fx-background-color: rgba(189, 171, 112, 0.652);
    -fx-background-radius: 25px;
}
.scroll-p .scroll-bar:vertical {

    -fx-translate-x: -5;

}
.scroll-p .scroll-bar:horizontal {
    -fx-pref-width:100px;
    -fx-translate-x: -5;

}
.scroll-p .scroll-bar .thumb {
    -fx-background-color: rgb(58, 58, 58);
}

.scroll-p .scroll-bar .increment-button, .scroll-bar .decrement-button {
    -fx-background-color: transparent;
    -fx-shape: " ";
}

.scroll-p .scroll-bar .increment-arrow, .scroll-bar .decrement-arrow {
    -fx-background-color: gray;
}

.scroll-p .scroll-bar .increment-arrow:hover, .scroll-bar .decrement-arrow:hover {
    -fx-background-color: rgb(58, 58, 58);
}


/* Tabpane */
.tab-pane > .tab-header-area > .tab-header-background {
    -fx-background-color: transparent;
}
.tab-pane > .tab-header-area > .headers-region > .tab {
    -fx-pref-width: 100px;
    -fx-background-color: #ffffff;
    -fx-border-radius: 10px 10px 0px 0px;
    -fx-background-radius: 10px 10px 0px 0px;
    -fx-border-width: 3px;
    -fx-border-color: white;
    -fx-focus-color: transparent;
    
}
.tab-pane > .tab-header-area > .headers-region > .tab:hover {
    -fx-background-color: #474747;
}

.tab-pane > .tab-header-area > .headers-region > .tab:selected {
    -fx-background-color: #7a7a7a;
    -fx-focus-color: transparent;
}

.tab-pane > .tab-header-area > .headers-region > .tab .tab-label{
    -fx-font-weight: bold;
    -fx-text-fill: rgb(133, 133, 133);
    -fx-effect: dropshadow(three-pass-box, rgba(117, 117, 117, 0.342), 2, 0.7, 2, 2);
}

.texte-simple {
    -fx-font-size: 26px;
    -fx-font-weight: bold;
    -fx-fill: rgb(255, 255, 255);
    -fx-stroke: #000000;
    -fx-stroke-width: 1px;
    -fx-effect: dropshadow(three-pass-box, rgb(193, 193, 193), 2, 0.7, 2, 2);
    
}

/* Table view - Menu classement*/
.table-view {
    -fx-background-radius: 25px;
    -fx-border-radius : 25px;
    -fx-border-width: 4px;
    -fx-border-color: rgb(58, 58, 58);
    -fx-effect: innershadow(gaussian, rgb(193, 193, 193), 28, 0.5, 0, 0);
}
.table-view .column-header-background .filler {
    -fx-background-color: transparent;
    
}
.table-view .corner {
    -fx-background-color: transparent;
    
    
}
.table-view .column-header-background{
    -fx-background-color: linear-gradient(to bottom, #ffffffc6, #646464);
    -fx-background-radius: 30px 30px 0px 0px;
    -fx-text-background-color: rgb(58, 58, 58);
    
}
.table-view .column-header {
    -fx-background-color: transparent;
    -fx-border-width: 0 2px 0 0;
    -fx-border-color: rgb(0, 0, 0);
}

.table-view .table-cell{
    -fx-border-color: rgba(0, 0, 0, 0.659);
}

.table-row-cell:hover {
    -fx-background-color: #000000;
    -fx-text-background-color: rgb(0, 0, 0);
}
.table-row-cell:odd{
    -fx-background-color: #f6b4002f;

}
.table-row-cell:even{
    -fx-background-color: #ffeccb44;

}

.table-view .scroll-bar {
    -fx-background-color: rgba(189, 171, 112, 0.652);
    -fx-background-radius: 25px;
}
.table-view .scroll-bar:vertical {

    -fx-translate-x: -5;

}
.table-view .scroll-bar:horizontal {
    -fx-pref-width:100px;
    -fx-translate-x: -5;

}
.table-view .scroll-bar .thumb {
    -fx-background-color: rgb(58, 58, 58);
}

.table-view .scroll-bar .increment-button, .scroll-bar .decrement-button {
    -fx-background-color: transparent;
    -fx-shape: " ";
}

.table-view .scroll-bar .increment-arrow, .scroll-bar .decrement-arrow {
    -fx-background-color: gray;
}

.table-view .scroll-bar .increment-arrow:hover, .scroll-bar .decrement-arrow:hover {
    -fx-background-color: rgb(58, 58, 58);
}

/* ==================== IDs ==================== */

/* Style du titre Nurikabe */
#titre-nurikabe .text{
    
    -fx-fill: linear-gradient(from 13px 38px to 52px 52px, reflect,  #858585, #ffffff 100%);
    -fx-stroke: #606060;
    -fx-stroke-width: 3px;
    -fx-effect: dropshadow(three-pass-box, rgb(73, 73, 73), 7, 0.7, 4, 4);
    -fx-font-size: 1.4em;
    -fx-font-weight:bold;
    
}
